use serde::{Deserialize, Serialize};

#[derive(Serialize, Deserialize, Debug)]
pub struct OnlineUserMessage {
    #[serde(rename = "callState")]
    pub call_state: String,
    #[serde(rename = "channelID")]
    pub channel_id: String,
    #[serde(rename = "deviceID")]
    pub device_id: String,
    #[serde(rename = "fromID")]
    pub from_id: String,
    #[serde(rename = "hasCamera")]
    pub has_camera: String,
    #[serde(rename = "hasMike")]
    pub has_mike: String,
    #[serde(rename = "isHost")]
    pub is_host: String,
    #[serde(rename = "userCallGroup")]
    pub user_call_group: String,
    #[serde(rename = "fromName")]
    pub from_name: String,
}

// 定义消息结构
#[derive(Serialize, Deserialize, Debug)]
pub struct MessageData {
    #[serde(rename = "msgType")]
    pub msg_type: String,
    #[serde(rename = "fromId")]
    pub from_id: String,
    #[serde(rename = "fromName")]
    pub from_name: String,
    #[serde(rename = "msgData")]
    pub msg_data: serde_json::Value,
}